## org.eclipse.datatools.enablement.ase.ddl
Class SybaseASEDdlScript

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlScript
          org.eclipse.datatools.enablement.ase.ddl.SybaseASEDdlScript

    public class SybaseASEDdlScript

extends GenericDdlScript

Constructor Summary
`SybaseASEDdlScript()`

Method Summary
`void` `addCommentOnStatement(java.lang.String statement)`
`void` `addCreateRoutineStatement(java.lang.String statement)`
`void` `addDropRoutineStatement(java.lang.String statement)`
`java.lang.String[]` `getStatements()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlScript

`addAlterTableAddConstraintStatement, addAlterTableAddForeignKeyStatement, addAlterTableDropConstraintStatement, addAlterTableDropForeignKeyStatement, addAlterTableStatement, addCreateAssertionStatement, addCreateIndexStatement, addCreateSchemaStatement, addCreateStoredProcedureStatement, addCreateTableStatement, addCreateTriggerStatement, addCreateUserDefinedFunctionStatement, addCreateUserDefinedTypeStatement, addCreateViewStatement, addDropAssertionStatement, addDropIndexStatement, addDropSchemaStatement, addDropStoredProcedureStatement, addDropTableStatement, addDropTriggerStatement, addDropUserDefinedFunctionStatement, addDropUserDefinedTypeStatement, addDropViewStatement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEDdlScript

    public SybaseASEDdlScript()

Method Detail

### addCommentOnStatement

    public void addCommentOnStatement(java.lang.String statement)

### addDropRoutineStatement

    public void addDropRoutineStatement(java.lang.String statement)

### addCreateRoutineStatement

    public void addCreateRoutineStatement(java.lang.String statement)

### getStatements

    public java.lang.String[] getStatements()

  Overrides:
    `getStatements` in class `GenericDdlScript`